#!/bin/bash

set -xe

gcc -g -ansi -Wall -Wextra -Wpedantic -o ./example/base ./example/base.c -lxcb -lxcb-image

valgrind --show-leak-kinds=all --leak-check=full --log-file=./example/base.log ./example/base

xighlight -V < ./example/base.log

exit
